summaryrefslogtreecommitdiffstats
path: root/src/opkbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/opkbuild.sh')
-rw-r--r--src/opkbuild.sh23
1 files changed, 13 insertions, 10 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index e6dc730..5b368fc 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -253,7 +253,7 @@ build_source()
src="$(ob_get_source_parameter 'Source')"
ver="$(ob_get_source_parameter 'Version')"
- src_pkg_data_base="src-${src}.data$(ob_get_system_path \
+ src_pkg_data_base="src:${src}.data$(ob_get_system_path \
'package-source' "${src}" "${ver}")"
if ! mkdir -p -- "${src_pkg_data_base}"; then
@@ -287,7 +287,7 @@ build_source()
return 1
fi
- if ! rm -Rf "src-${src}.data"; then
+ if ! rm -Rf "src:${src}.data"; then
ob_error "$(ob_get_msg 'cant_rm_src_pkg_data')"
return 1
fi
@@ -351,13 +351,16 @@ build()
{
case "${opt_target}" in
'')
- ../build build &&
- ${opt_uid0_cmd} -- ../build install &&
- ${opt_uid0_cmd} -- "${bindir}/ob-installdocs" &&
- ${opt_uid0_cmd} -- "${bindir}/ob-gencontrol" &&
- ${opt_uid0_cmd} -- "${bindir}/ob-buildopk" &&
- ${opt_uid0_cmd} -- "${bindir}/ob-genchanges" ||
+ if ! ../build build || ! ${opt_uid0_cmd} -- ${SH} <<-EOF
+ ../build install &&
+ "${bindir}/ob-installdocs" &&
+ "${bindir}/ob-gencontrol" &&
+ "${bindir}/ob-buildopk" &&
+ "${bindir}/ob-genchanges"
+ EOF
+ then
return 1
+ fi
;;
'install'|'install-'*)
if ! ${opt_uid0_cmd} -- ../build -- "${opt_target}"
@@ -421,8 +424,8 @@ main()
if [ x"${opt_build}" != x'source' ]; then
print_arch_stats
- if "${opt_check_build_deps}"; then
- if ! "${bindir}/ob-checkbuilddeps"; then
+ if ! "${bindir}/ob-checkbuilddeps"; then
+ if "${opt_check_build_deps}"; then
return 1
fi
fi